解决升级Python后yum无法使用

2016年7月31日 5476点热度 0人点赞 0条评论

博主手中有一vultr的centos的VPS,升级Python2.6至Python3.5后。使用yum出现如下状况:

[root@vultr ~]# yum
  File "/usr/bin/yum", line 30
    except KeyboardInterrupt, e:

yum采用python作为命令解释器,这可以从/usr/bin/yum文件中第一行#!/usr/bin/python发现。而python版本之间兼容性不太好,使得2.X版本与3.0版本之间存在语法不一致问题。而CentOS 5自带的yum采用的是python2.4,当系统将python升级到2.6或3.0后,出现语法解释错误。

解决:

vi /usr/bin/yum

根据环境中Python2的版本将第一行"#!/usr/bin/python" 改为"#!/usr/bin/python2.X"

reference:CentOS搭建python开发环境

Dong Wang

Master student of computer science at Uppsala University in Sweden. My primary research interests are deep learning, computer vision, federated learning and internet-of-things.

文章评论

此站点使用Akismet来减少垃圾评论。了解我们如何处理您的评论数据